Page MenuHomePhabricator

Migrate Wiki Loves Monuments projects to subprojects under one umbrella
Closed, ResolvedPublic

Description

Convert Wiki-Loves-Monuments-Database and Wiki-Loves-Monuments-Sources to subprojects under Wiki-Loves-Monuments (while preserving workboards).

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 29 2016, 1:59 PM

From the people I asked during Wikimania I think @mmodell is the one who might know how this is done (if it is possible).

Danny_B triaged this task as Low priority.Jun 30 2016, 11:04 PM

They are archived so I'm not sure it is worth the hassle of converting them.

@Lokal_Profil For the sake of consistence, search and potential external tools it makes sense. The only question is if they are considered as subprojects or any of them stays aside.

@Danny_B thanks for the explanation. Then yes all of those would also fit as sub-projects.

Agree, all these fit as subprojects

@Danny_B @mmodell: Do you need anything else from our side?

Just to ensure: Are you aware of how subprojects and milestones work? I can see some tasks which are tagged with Wiki-Loves-Monuments and some of #Wiki-Loves-Monuments-* - this won't be possible anymore after the conversion. (OTOH, you can have more subprojects tagged.) Also mind that you can have task tagged with only single milestone of given project.

Before proceeding, cleanup of multi-tagged tasks should be done to prevent possible collisions when updating such tasks.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 31 2016, 1:30 PM

I've changed the project icon to umbrella.

Lokal_Profil added a comment.EditedAug 2 2016, 10:50 AM

Just to ensure: Are you aware of how subprojects and milestones work? I can see some tasks which are tagged with Wiki-Loves-Monuments and some of #Wiki-Loves-Monuments-* - this won't be possible anymore after the conversion. (OTOH, you can have more subprojects tagged.) Also mind that you can have task tagged with only single milestone of given project.
Before proceeding, cleanup of multi-tagged tasks should be done to prevent possible collisions when updating such tasks.

I'm used to subprojects from Connected-Open-Heritage.

The main issue I see (if I'm understanding the mw.org info right) is that milestones cannot be directly under the main parent? If so would it be possible to move the whole milestone to a subproject? Otherwise we would likely have to do some shuffling whereby the current Wiki-Loves-Monuments gets name changed and we create a new project with that name to act as the main umbrella.

Most of the multi-tagged tasks are likely closed ones. I'll open a subtask to fix those if the above issue is resolvable.

Most of the multi-tagged tasks are likely closed ones. I'll open a subtask to fix those if the above issue is resolvable.

Actually from this query it looks like the multi-tagged ones are now fixed.

Most of the multi-tagged tasks are likely closed ones. I'll open a subtask to fix those if the above issue is resolvable.

Actually from this query it looks like the multi-tagged ones are now fixed.

I've seen some using https://phabricator.wikimedia.org/maniphest/query/0_kybZE7xv4g/#R before, but it seems now there are not any. Thanks for cleanup.

The main issue I see (if I'm understanding the mw.org info right) is that milestones cannot be directly under the main parent? If so would it be possible to move the whole milestone to a subproject? Otherwise we would likely have to do some shuffling whereby the current Wiki-Loves-Monuments gets name changed and we create a new project with that name to act as the main umbrella.

Currently Wiki-Loves-Monuments (2016) exists as a milestone of Wiki-Loves-Monuments so it is directly under main project. If that is not what you were asking about, please elaborate the structure a bit more.

Assuming requested projects are subprojects and existing milestone, task can be tagged one of this way:

  1. only Wiki-Loves-Monuments (trying to add anything else from Wiki-Loves-Monuments group (subproject and/or milestone) would result in removing of the parent project)
  2. single milestone (ie. Wiki-Loves-Monuments (2016)) and/or unlimited number of subprojects of Wiki-Loves-Monuments

The main issue I see (if I'm understanding the mw.org info right) is that milestones cannot be directly under the main parent? If so would it be possible to move the whole milestone to a subproject? Otherwise we would likely have to do some shuffling whereby the current Wiki-Loves-Monuments gets name changed and we create a new project with that name to act as the main umbrella.

Currently Wiki-Loves-Monuments (2016) exists as a milestone of Wiki-Loves-Monuments so it is directly under main project. If that is not what you were asking about, please elaborate the structure a bit more.
Assuming requested projects are subprojects and existing milestone, task can be tagged one of this way:

  1. only Wiki-Loves-Monuments (trying to add anything else from Wiki-Loves-Monuments group (subproject and/or milestone) would result in removing of the parent project)
  2. single milestone (ie. Wiki-Loves-Monuments (2016)) and/or unlimited number of subprojects of Wiki-Loves-Monuments

Sorry for being unclear.
Since Wiki-Loves-Monuments (2016) exists as a milestone of Wiki-Loves-Monuments tasks in it cannot also be in a subproject. So my question is whether it is possible to move the whole milestone to a subproject?

If that is not possible then I guess we could get around it by renaming Wiki-Loves-Monuments -> #Wiki-Loves-Monuments-something then create a new project called Wiki-Loves-Monuments and make #Wiki-Loves-Monuments-something (and the others) a subproject of that?

Sorry for being unclear.
Since Wiki-Loves-Monuments (2016) exists as a milestone of Wiki-Loves-Monuments tasks in it cannot also be in a subproject.

Tasks in Wiki-Loves-Monuments (2016) can be in any subproject of Wiki-Loves-Monuments (ie. planned Wiki-Loves-Monuments-Database) as I wrote earlier.
(BTW: It is not clear if "it" in your sentence refers to Wiki-Loves-Monuments (2016) or Wiki-Loves-Monuments)

So my question is whether it is possible to move the whole milestone to a subproject?

It should be, but then it would loose all advantages of milestones. And definitely in this particular case it should be milestone.

If that is not possible then I guess we could get around it by renaming Wiki-Loves-Monuments -> #Wiki-Loves-Monuments-something then create a new project called Wiki-Loves-Monuments and make #Wiki-Loves-Monuments-something (and the others) a subproject of that?

Uff, I think I'm getting lost.

How about you draw the desired ideal structure?
My current assumption is:

  • Wiki-Loves-Monuments
    • Wiki-Loves-Monuments (2016)
    • Wiki-Loves-Monuments (2017)
    • Wiki-Loves-Monuments-Database
    • Wiki-Loves-Monuments-Sources

In that case you can have task tagged:

  • Wiki-Loves-Monuments only
  • Wiki-Loves-Monuments (2016) (and optionally 1 or more of Wiki-Loves-Monuments-Database / Wiki-Loves-Monuments-Sources)
  • Wiki-Loves-Monuments (2017) (and optionally 1 or more of Wiki-Loves-Monuments-Database / Wiki-Loves-Monuments-Sources)
  • Wiki-Loves-Monuments-Database (and optionally Wiki-Loves-Monuments-Sources and 1 of Wiki-Loves-Monuments (2016) or Wiki-Loves-Monuments (2017))
  • Wiki-Loves-Monuments-Source (and optionally Wiki-Loves-Monuments-Database and 1 of Wiki-Loves-Monuments (2016) or Wiki-Loves-Monuments (2017))

That covers ability of tagging any task by relevant milestone and/or components (aka subprojects).

I think what you present Danny would work for us.

Sorry for being unclear.
Since Wiki-Loves-Monuments (2016) exists as a milestone of Wiki-Loves-Monuments tasks in it cannot also be in a subproject.

Tasks in Wiki-Loves-Monuments (2016) can be in any subproject of Wiki-Loves-Monuments (ie. planned Wiki-Loves-Monuments-Database) as I wrote earlier.
(BTW: It is not clear if "it" in your sentence refers to Wiki-Loves-Monuments (2016) or Wiki-Loves-Monuments)

Ah. That was where I misunderstood. My fault.

With that resolved the suggested structure works fine.

OK. We're going to proceed when @mmodell is back from vacations.

I found couple more archived projects (which I missed before due to their inconsistent naming):

Wiki-Loves-Monuments-Mobile-Browse
Wiki-Loves-Monuments-Mobile-General
Wiki-Loves-Monuments-Mobile-Login
Wiki-Loves-Monuments-Mobile-Maps
Wiki-Loves-Monuments-Mobile-Upload

I assume those can be converted to subprojects of Wiki-Loves-Monuments as well?

I found couple more archived projects (which I missed before due to their inconsistent naming):
Wiki-Loves-Monuments-Mobile-Browse
Wiki-Loves-Monuments-Mobile-General
Wiki-Loves-Monuments-Mobile-Login
Wiki-Loves-Monuments-Mobile-Maps
Wiki-Loves-Monuments-Mobile-Upload
I assume those can be converted to subprojects of Wiki-Loves-Monuments as well?

Yes that should be fine. Possibly we could insert a #WikiLoves-Monuments-Mobile level in between (so that the above are a subproject of that and it is then a subproject of Wiki-Loves-Monuments). But since they are all archived I'm not sure it is worth it.

Thanks for confirmation.

Possibly we could insert a #WikiLoves-Monuments-Mobile level in between (so that the above are a subproject of that and it is then a subproject of Wiki-Loves-Monuments). But since they are all archived I'm not sure it is worth it.

I was also thinking about that, but considering they are archived (and I assume there is no further work going on on mobile stuff [if there would be, then it would make a sense]) I skipped that. It can be done in future, if the necessity will pop up.

Ha! Wiki-Loves-Monuments-Mobile actually already exists! So yes, we can proceed this way.

Can we move forward with that? Is it blocked on something?

Hi @Danny_B − any news on that front?

(Although we’d like this done there is no burning urgency for it so I really don’t want to annoy people over it :)

JeanFred moved this task from Backlog to Watching on the User-JeanFred board.
mmodell closed this task as Resolved.Feb 14 2017, 1:59 PM
mmodell claimed this task.

Done.